### Class

# Phosh RotationManager

#### Description [src]

    final class Phosh.RotationManager : GObject.Object
    {
      /* No available fields */
    }

The Rotation Manager

`PhoshRotationManager` is responsible for managing the rotation of a given `PhoshMonitor`. Depending on the `PhoshRotationManagerMode` this can happen by interfacing with a `PhoshSensorProxyManager` or by setting the `PhoshMonitorTransform` explicitly. It also takes the `PhoshLockscreenManager:locked` status into account to ensure the lockscreen is rotated accordingly on small phones.

#### Ancestors

- GObject

#### Constructors

###### phosh_rotation_manager_new

No description available.

#### Instance methods

###### phosh_rotation_manager_get_mode

No description available.

###### phosh_rotation_manager_get_monitor

Get the monitor this manager currently acts on.

###### phosh_rotation_manager_get_orientation_locked

No description available.

###### phosh_rotation_manager_get_transform

No description available.

###### phosh_rotation_manager_set_mode

Sets the given mode.

###### phosh_rotation_manager_set_monitor

No description available.

###### phosh_rotation_manager_set_orientation_locked

No description available.

###### phosh_rotation_manager_set_transform

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.RotationManager:lockscreen-manager

No description available.

###### Phosh.RotationManager:mode

No description available.

###### Phosh.RotationManager:monitor

No description available.

###### Phosh.RotationManager:orientation-locked

No description available.

###### Phosh.RotationManager:sensor-proxy-manager

No description available.

###### Phosh.RotationManager:transform

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshRotationManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.